<?php
/*******************************************************************************
	This is a simplified script to add settings into SMF.

	ATTENTION: If you are trying to INSTALL this package, please access
	it directly, with a URL like the following:
		http://www.yourdomain.tld/forum/add_settings.php (or similar.)

================================================================================

	This script can be used to add new settings into the database for use
	with SMF's $modSettings array.  It is meant to be run either from the
	package manager or directly by URL.

*******************************************************************************/

// List settings here in the format: setting_key => default_value.  Escape any "s. (" => \")
$mod_settings = array(
	'language_menu-activate' => '1',
	'language_menu_tamplate' => 'button_menu',
	'language_menu_custom_label' => '...',
	'language_menu_icon_width' => '24',
	'language_menu_icon_height' => '16',
	'language_menu_activate_custom_labels' => '0'
);

/******************************************************************************/

// If SSI.php is in the same place as this file, and SMF isn't defined, this is being run standalone.
if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
	require_once(dirname(__FILE__) . '/SSI.php');
// Hmm... no SSI.php and no SMF?
elseif(!defined('SMF'))
	die('<b>Error:</b> Cannot install - please verify you put this in the same place as SMF\'s index.php.');

updateSettings($mod_settings);

 if (SMF == 'SSI')
	echo '<b>Your settings have been entered into the database!</b><br />';
/******************************************************************************/

//	Create the language names cache table
$smcFunc['db_drop_table']('{db_prefix}language_menu_labels');
$smcFunc['db_create_table'](
	'{db_prefix}language_menu_labels', 
	array(
		array(
			'name' => 'language_menu_default_label', 
			'type' => 'varchar', 
			'size' => 40
			),
		array(
			'name' => 'language_menu_custom_label', 
			'type' => 'varchar', 
			'size' => 40
			),
		), 
	array(
		array(
			'type' => 'primary', 
			'columns' => array('language_menu_default_label')
			),
		), 
	array(),
	'overwrite'
	);
	
?>
